#include <iostream>
#include <cmath>

using namespace std;
int main() {
    int brojKomsija, mojBroj;
    cin >> brojKomsija >> mojBroj;

    int najmanji, najveci;
    cin >> najmanji;
    najveci = najmanji;

    for (int i = 1; i < brojKomsija; i++) {
        int brojKomsije;
        cin >> brojKomsije;

        if (brojKomsije > najveci) {
            najveci = brojKomsije;
        }

        if (brojKomsije < najmanji) {
            najmanji = brojKomsije;
        }
    }

    najveci = najveci - abs(mojBroj);
    najmanji = abs(najmanji) + mojBroj;

    cout << ((najveci > najmanji) ? najveci : najmanji) << endl;
    return 0;
}